<?php

$root_path="../";

$title="Teasers";

require_once($root_path."inc/begin_code.php");

restrictAccess(3);

require_once($root_path."inc/db.inc.php");

require_once($root_path."inc/config.inc.php");

require_once($root_path."inc/user.inc.php");

require_once($root_path."inc/ref.inc.php");

require_once($root_path."inc/contest.inc.php");

include_once($root_path."html/admin/header.html");





if (isset($_POST['submitted']))

{

	update();

}

bye();





function showInfo()

{

	global $root_path;

	$start=config::get_value('contest_start_date');

	$end=config::get_value('contest_end_date');

	

	$startYear=parseDate($start,'Y');

	$startMonth=parseDate($start,'M');

	$startDay=parseDate($start,'D');

	

	$endYear=parseDate($end,'Y');

	$endMonth=parseDate($end,'M');

	$endDay=parseDate($end,'D');

	

	$prize1=Contest::getPrize(1);

	$prize2=Contest::getPrize(2);

	$prize3=Contest::getPrize(3);

	$prize4=Contest::getPrize(4);

	$prize5=Contest::getPrize(5);

	

	include_once($root_path."html/admin/contest.html");

	return true;

}

	



function update()

{

	$db=&new db;

	$start=$_POST['startYear'].'-'.$_POST['startMonth'].'-'.$_POST['startDay'];

	$end=$_POST['endYear'].'-'.$_POST['endMonth'].'-'.$_POST['endDay'];

	config::change_value('contest_start_date',$start);

	config::change_value('contest_end_date',$end);

	

	for ($x=1;$x<=5;$x++)

	{

		$prizes[$x]=mysql_escape_string($_POST['prize'.$x]);

	}

	foreach ($prizes as $k=>$v)

	{

		$c_name="contest_prize".$k;

		config::change_value($c_name,$v);

	}

	

	if (isset($_POST['delAll']))

	{

		$sql="DELETE FROM #_contest_points";

		$db->change_db('contest_points',$sql);

	}

	return true;

}

	

	

	

	

	

function parseDate($date,$partName)

{

	$arr=explode("-",$date);

	$ret['Y']=$arr[0];

	$ret['M']=$arr[1];

	$ret['D']=$arr[2];

	return $ret[$partName];

}















function bye()

{

	global $root_path;

	showInfo();

	require_once($root_path."inc/begin_code.php");

	die;

}

	