<?php
$root_path="../";
$title="Members List";
require_once($root_path."inc/begin_code.php");
restrictAccess(3);
require_once($root_path."inc/db.inc.php");
require_once($root_path."inc/config.inc.php");
require_once($root_path."inc/user.inc.php");
require_once($root_path."inc/ref.inc.php");
include_once($root_path."html/admin/header.html");

define ('RESULTS_PER_PAGE',config::get_value("gifts_per_page"));

if (isset($_POST['submitted']))
{
	update();
	header("location: memberlist.php?page=$_POST[page]");
} elseif( isset($_GET['upgradeId'])) {
	$return=changeLevel();
	echo "<strong>$return</strong>\n<hr>\n";
	display();
	bye();
} 
if (getTotalPages() < 1)
{
	echo "<strong>Sorry, there are no members to display right now. Please check back later.</strong><br><br>\n";
	bye();
}

if ($_GET['page'] > getTotalPages())
{
echo "<strong>No more matches were found.</strong><br><br>\n";
	bye();
}	
display();
function getTotalPages()
{
	$db=&new db;
	$sql="SELECT user_id FROM #_users WHERE level='1'";
	$rows=$db->get_row_num("users",$sql);
	
	if ($rows <1 || RESULTS_PER_PAGE < 1)
	{
		
		$totalPages=0;
		return $totalPages;
	}
	
	$x=0;
	$totalPages=0;
	while ($x < $rows) {
	$totalPages=$totalPages+1;
	$x=$x+ RESULTS_PER_PAGE;
	
	}
	return $totalPages;
}


function getCurrentPage()
{
	$currPage=$_GET['page'];
	if (! is_numeric($currPage))
	{
		$currPage=1;
	} elseif ($currPage > getTotalPages())
		{
			$currPage=1;
		}
	return $currPage;
}


function getLimitStart()
{
	$limitStart=0;
	$total=getTotalPages();
	$current=getCurrentPage();
	$limitStart=RESULTS_PER_PAGE * ($current-1);
//print "REALP : $limitStart, current: $current";
	return $limitStart;
}


	
function display()
{
		global $root_path;
		$db=&new db;
		$limitStart=getLimitStart();
		$results=RESULTS_PER_PAGE;
		
		$sql="SELECT user_id FROM #_users WHERE level ='1' LIMIT $limitStart,$results";
		$userIds=$db->get_row('user_id','users',$sql);
		
		$status[0]='Awaiting Activation';
		$status[1]='Activated';
		$status[2]='Banned';
		foreach ($userIds as $k=>$v)
		{
			$fnames[$k]=trim(stripslashes(User::getInfo($v,'fname')));
			$lnames[$k]=trim(stripslashes(User::getInfo($v,'lname')));
			$emails[$k]=trim(stripslashes(User::getInfo($v,'email')));
			$paypal_ids[$k]=trim(stripslashes(User::getInfo($v,'paypal_id')));
			$stormpay_ids[$k]=trim(stripslashes(User::getInfo($v,'stormpay_id')));
			$credits[$k]=User::getInfo($v,'credits');
			
			$statusNums[$k]=User::getInfo($v,'status');
			$lvl1_refs[$k]=Ref::getRefererNum($v,1);
			}
		
		
		$total=getTotalPages();
		$current=getCurrentPage();
		include_once($root_path."html/admin/memberslist.html");
		return true;
	}
				
			
	

	
	function update()
	{
		foreach ($_POST as $k=>$v) 
		{
			
//			if (substr($k,0,strlen($k)-1)=="status_")
			if (eregi('status_',$k))
			{
				$x=substr($k,7);
				if (isset($_POST['delete_'.$x]))
				{
					delUser($_POST['userId_'.$x]);
				}
				User::ChangeInfo($_POST['userId_'.$x],'status',$v);
			}
		}
		return true;
	}
	
	function changeLevel()
	{
		$userId=$_GET['upgradeId'];
		if (! is_numeric($userId))
		{
			return 'Please provide a valid user id.';
		}
		
		$newLevel=2;
		User::ChangeInfo($userId,'level',$newLevel);
		return "The member was successfully $action.";
	}
	
	
	function delUser($userId)
	{
		$db=&new db;
		$sql="DELETE FROM #_users WHERE user_id='$userId' LIMIT 1";
		$db->change_db("users",$sql);
		$sql="DELETE FROM #_gifts WHERE user_id='$userId' LIMIT 1";
		$db->change_db('gifts',$sql);
		return true;
	}
	

function bye() 
{
global $root_path;

	require_once($root_path."inc/end_code.php");
die;
}


?>
