<?php
require_once($root_path."inc/contest.inc.php");
require_once($root_path."inc/ref.inc.php");
class User {
		
	function getInfo($id,$info) 
	{
	$db=&new db;
	$idField=User::getIdField($id);
	$sql="SELECT $info FROM #_users WHERE $idField='$id'";
	$result=$db->get_row($info,'users',$sql);
	if (strlen($result[0]) < 1)
		{
			return false;
		} else {
			return $result[0];
		}
	}
	
	function getIdByField($field,$value)
	{
		//This function returns the userId of a user whose $field is set to $value
		$db=&new db;
		$sql="SELECT user_id FROM #_users WHERE $field='$value'";
		$result=$db->get_row('user_id','users',$sql);
		if (strlen($result[0]) < 1)
		{
			return false;
		} else {
			return $result[0];
		}
	}
		


	function changeInfo($id,$field,$data)
	{
		$db=&new db;
		$idField=User::getIdField($id);
		$sql="UPDATE #_users SET $field='$data' WHERE $idField='$id'";
		$db->change_db("users",$sql);
		return true;
	}
	
	
	function addCredits($id,$credits)
	{
		$idField=User::getIdField($id);
		$currentCredits=User::getInfo($id,"credits");
		$newCredits=$currentCredits+$credits;
		User::changeInfo($id,"credits",$newCredits);
		
		$db=&new db;
		 //dont update the rank of the gift if it was forced by the admin:
		if (! Ref::isRankForced($id,'user'))
		{
			$rank=Ref::getRank($id);
			$sql="SELECT gift_id FROM #_gifts WHERE rank='$rank' and forcedRank='1'";
			if ($db->get_row_num('gifts',$sql) < 1)
			{
				$sql="UPDATE #_gifts SET rank='$rank' WHERE user_id='$id'";
				$db->change_db('gifts',$sql);
				$newRank=$rank-1; 
				if ($newRank > 0) 
					$db->change_db('gifts',"UPDATE #_gifts SET rank='$newRank' WHERE rank='$rank' AND forcedRank='0'");
			}
		}
		
		if (Contest::isContest())
		{
			Contest::addPoints($id,$credits);
		} 
		return true;
	}
	
	function removeCredits($id,$credits)
	{
		$idField=User::getIdField($id);
		$currentCredits=User::getInfo($id,"credits");
		$newCredits=$currentCredits-$credits;
		User::changeInfo($id,"credits",$newCredits);
	}
	
	function getIdField($id)
	{
		if (is_numeric($id))
		{
			return 'user_id';
		}else 
		 {
			 $idField="email";
		 }
		 return $idField;
	 }
	 
	 
	 function isCustomer($id)
	 {
		 $db=&new db;
		 if (! is_numeric($id))
		 {
			 return false;
		 }
		 $sql="SELECT paiduserId FROM #_paidusers WHERE user_id='$id' AND payments_made='2'";
		 if ($db->get_row_num('paidusers',$sql) < 1)
		 {
			 return false;
		 } else {
			 return true;
		 }
	 }
	 
	 
	function getFingerPrint($id,$productId)
	{
		$db=&new db;
		 if (! is_numeric($id))
		 {
			 return false;
		 }
		 $sql="SELECT txn_id FROM #_paidusers WHERE user_id='$id' AND productId='$productId' LIMIT 1";
		 $txnId=$db->getRow('txn_id','paidusers',$sql);
		 return $txnId;
	 }
	
	 /*
	 function makeCustomer($userId,$txnId,$method,$amount,$receiver,$payer,$refUserId)
	 {
		 logIt("Makecustomer function!");
		 
		 $db=&new db;
		 $totalPrice=Ref::getPrice();
		 $temp="owner_".$method."_id";
		 $ownerId=trim(config::get_value($temp));
		 logit("Got the total price: $totalPrice, amount paid is $amount!");
		 logIt("Amount paid is $amount, total price is $totalprice, receiver id is $receiver, and owner's $method id is $ownerId");
		 if ($amount==$totalPrice && $receiver==$ownerId)
		 {
			 logIt("Receiver id was owner's $method id and amount was correct too, so new record created.");
			$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who) VALUES('$userId','$txnId','$method','$amount',2,'owner')";
		 	$db->change_db('paidusers',$sql);
		 	User::mailFingerPrint($payer);
		 	return true;
	 	} else {
		 	if ($amount==$totalPrice)
		 	{
			 	logIt("$amount IS equal to $totalPrice");
		 	} else {
			 	logIt("$amount isnt equal to $totalPrice");
		 	}
		 	
		 	if ($ownerId==$receiver)
		 	{
			 	logIt("$receiver IS equal to $ownerId");
		 	} else {
			 	logIt("$ownerId is not equal to $receiver");
		 	}
		 	logIt("Receiver id :$receiver wasn't owner's $method id:$ownerId,  or amount ($amount) wasnt the correct price($totalPrice) , so new record wasn't created.");
	 	}
	 	$temp=$method."_id";
	 	logIt("Referer ($receiver)'s user id is $refUserId");
	 	if (config::is_set('allow_split_payments') && config::get_value('split_whose_paid_first')==0)
		{
			logIt("referes are to be paid first, so passing on to Dosplitpayment!");
			User::doSplitPayment($userId,$txnId,$method,$amount,$receiver,$payer,$refUserId);
		 	return true;
	 	} elseif (config::is_set('allow_split_payments')&& $refUserId > 0)
	 	{
		 	logIt("Passing on to doSplitPayment, owner getting paid first: $userId,$txnId,$method,$amount,$receiver.");
		 	User::doSplitPayment($userId,$txnId,$method,$amount,$receiver,$payer,$refUserId);
		 	return true;
	 	} else {
		 	logIt("Split payments not allowed or referer user id: $refUserId is incorrect.");
		 	return false;
	 	}
 	}
 	
 	function doSplitPayment($userId,$txnId,$method,$amount,$receiver,$payer,$refId)
	{
		$db=&new db;
		$totalPrice=Ref::getPrice();
		$whoPaid=User::getPaidUserInfo($userId,'paid_who');
		$ownerShare=Ref::getOwnerShare();
		logIt("User made last payment to: $whoPaid, the amount he paid now: $amount, owner share: $ownerShare");
		if (User::getPaidUserInfo($userId,'payments_made')==1)
		{
			logIt("User $userId is already a customer.");
			
			if (User::getPaidUserInfo($userId,'paid_who')=='ref' && $amount==Ref::getOwnerShare())
			{
				logIt("User has already made 1 payment to the referer, so making him a customer.");
				$sql="UPDATE #_paidusers SET amount='$totalPrice',payments_made='2',txn_id='$txnId' WHERE user_id='$userId'";
				$db->change_db('paidusers',$sql);
				User::mailFingerPrint($payer);
				return true;
			
			
			
			} elseif (User::getPaidUserInfo($userId,'paid_who')=='owner' && $amount==Ref::getRefShare())
			{
				logIt("User has already made 1 payment to the OWNER, so making him a customer.");
				$sql="UPDATE #_paidusers SET amount='$totalPrice',payments_made='2',txn_id='$txnId' WHERE user_id='$userId'";
				$db->change_db('paidusers',$sql);
				User::mailFingerPrint($payer);
				return true;
			}
		} else {
			logIt("user isn't a customer");
			if (config::get_value('split_whose_paid_first')==0)
			{
				$payWho='ref';
			}else {
				$payWho='owner';
			}
			if ($payWho=='ref' && $amount==Ref::getRefShare())
			{
				logIt("User has paid $amount to $payWho, so making him a customer.");
				$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who) VALUES('$userId','$txnId','$method','$amount',1,'ref')";
		 		$db->change_db('paidusers',$sql);
		 		return true;
	 		} elseif ($payWho=='owner' && $amount==Ref::getOwnerShare())
	 		{
		 		logIt("User has paid $amount to $payWho, so making him a customer and storing his referer's user id: $refId.");
		 		$sql="INSERT INTO #_paidusers (user_id,txn_id,method,amount,payments_made,paid_who,refId) VALUES('$userId','$txnId','$method','$amount',1,'owner','$refId')";
		 		$db->change_db('paidusers',$sql);
		 		return true;
	 		} else {
		 		logIt("User hasn't paid the required amount,what he paid: $amount");
	 		}
 		}
	}
	*/
 	 function getPaidUserInfo($id,$productId,$info)
	 {
		 $db=&new db;
		 $sql="SELECT $info FROM #_paidusers WHERE user_id='$id' AND productId='$productId' LIMIT 1";
		 $ret=$db->getRow($info,'paidusers',$sql);
		 return $ret;
	 }

         function getPaidUserInfoRP($id,$productId,$info)
         {
                 $db=&new db;
                 $sql="SELECT $info FROM #_paidusers WHERE user_id='$id'  LIMIT 1";
                 $ret=$db->getRow($info,'paidusers',$sql);
                 return $ret;
         }


	 
	 function hasGift($userId)
	 {
		 $db=&new db;
		 $sql="SELECT gift_id FROM #_gifts WHERE user_id='$userId'";
		 if ($db->get_row_num('gifts',$sql) < 1)
		 	return false;
		 else
		 	return true;
	 }
	 

}
?>
